noseguy(6)

NAME
noseguy - a little guy with a big nose wanders around being witty

SYNOPSIS
noseguy [-display host:display.screen] [-foreground color] [-background color] [-text-foreground color] [-text-background color] [-font font] [-window] [-root] [-install] [-visual visual] [-mode mode] [-program program] [-filename file] [-text text]

DESCRIPTION
A little man with a big nose and a hat runs around spewing out messages to the screen. This code (and its bitmaps) were extracted from the xnlock program.

OPTIONS
noseguy accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-font font
    The font used for the messages.

-program program
    This program will be run periodically, and its output will be the text of the messages. Default:
        xscreensaver-text --cols 40 | head -n15 You can configure the text printed through the "Advanced" tab of xscreensaver-demo(1), or by editing your ~/.xscreensaver file.

-filename file
    If mode is file, then the contents of this file will be used for all messages.

-text string
    If mode is string, then this text will be used for all messages.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xscreensaver-text(1), xnlock(1)

COPYRIGHT
Copyright 1985, 1990 by Dan Heller <argv@danheller.com>.

AUTHOR
Dan Heller <argv@danheller.com>, 1985. Ability to run standalone or with xscreensaver added by Jamie Zawinski <jwz@jwz.org>, 13-aug-92.